var react = require('@emotion/react');

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

var _templateObject;
var Link = function Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      className = _ref.className;
  return react.jsx("a", {
    href: to,
    className: className,
    css: react.css(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n                color: rgb(0, 125, 179);\n                text-decoration: none;\n\n                &:hover {\n                    color: rgb(0, 125, 179);\n                    text-decoration: underline;\n                }\n\n                &:visited {\n                    color: rgb(0, 125, 179);\n                    text-decoration: none;\n                }\n            "])))
  }, children);
};

var _templateObject$1;
var Pill = function Pill(_ref) {
  var children = _ref.children,
      type = _ref.type;
  return react.jsx("div", {
    css: react.css(_templateObject$1 || (_templateObject$1 = _taggedTemplateLiteralLoose(["\n                display: flex;\n                flex-direction: column;\n                align-items: center;\n                justify-content: center;\n                padding: 0.5em 1em;\n                border-radius: 5rem;\n                cursor: pointer;\n                box-sizing: border-box;\n                user-select: none;\n                width: 5.5em;\n                height: 1em;\n                \n                background-color: ", ";\n            "])), type === "primary" ? "#7600ff" : type === "secondary" ? "#1ed760" : "rgb(255, 255, 255)")
  }, children);
};

var _templateObject$2;
var Button = function Button(_ref) {
  var children = _ref.children,
      text = _ref.text;
  return react.jsx("div", {
    css: react.css(_templateObject$2 || (_templateObject$2 = _taggedTemplateLiteralLoose(["\n                display: flex;\n                justify-content: center;\n                align-items: center;\n                background-color: #7600ff;\n                border-radius: 12px;\n                color: #eee;\n                cursor: pointer;\n                font-size: 18px;\n                height: 50px;\n                margin-top: 38px;\n                outline: 0;\n                text-align: center;\n                width: 100%;\n            "])))
  }, text ? react.jsx("p", null, text) : children);
};

exports.Button = Button;
exports.Link = Link;
exports.Pill = Pill;
//# sourceMappingURL=index.js.map
